#ifndef COMMANDVALIDATOR_HPP
# define COMMANDVALIDATOR_HPP

# include <string>
# include "IrcMessage.hpp"

class CommandValidator
{
	public:
		CommandValidator(void);
		CommandValidator(const CommandValidator &other);
		CommandValidator &operator=(const CommandValidator &other);
		~CommandValidator(void);

		static bool					hasEnoughParams(const IrcMessage &msg);
		static bool					needsRegistration(const std::string &command);
		static bool					isKnownCommand(const std::string &command);
};

#endif
